The 365 Data Science team is proud to invite you to our own community forum. A very well built system to support your queries, questions and give the chance to show your knowledge and help others in their path of becoming Data Science specialists.
Ask
Anybody can ask a question
Answer
Anybody can answer
Vote
The best answers are voted up and moderated by our team

MNIST Data Load Issue

MNIST Data Load Issue

0
Votes
1
Answer

Not listed as a Super Learner even though I am almost finished with the course?

I am having an issue loading the MNIST dataset in TF2.  It looks like TF is trying to download the MNIST dataset to one path while it is already in another place yet python is not finding what it needs in the TF path.
I am operating with the py3-TF2.0 kernel.

Here is text of the first part of the error:

Downloading and preparing dataset mnist (11.06 MiB) to C:\Users\daver\tensorflow_datasets\mnist\1.0.0...

—————————————————————————

NameError                                 Traceback (most recent call last)
~\anaconda3\envs\py3-TF2.0\lib\site-packages\tqdm\notebook.py in status_printer(_, total, desc, ncols)
     97             else:  # No total? Show info style bar with no progress tqdm status
---> 98                 pbar = IProgress(min=0, max=1)
     99                 pbar.value = 1

NameError: name 'IProgress' is not defined

During handling of the above exception, another exception occurred:

Thanks for any help provided.

 

 

1 Answer

365 Team
0
Votes

Hi Don,
Sorry for the wait. A webhook was broken and you did not receive your SuperLearner status, thus your question was given lower priority. In such cases, please contact us directly at team@365datascience.com and we will promptly resolve the issue.
Regarding the question you’ve had here, could you please try installing ipywidgets?
This is achieved by entering the environment and writing:

pip install ipywidgets

or if you already have it

pip install --upgrade ipywidgets

Best,
The 365 Team

×
LAST CHANCE
Ready to Learn Data Science?
50% OFF